apiVersion: apps/v1
kind: Deployment
metadata:
  name: iching-broker-0-0-1
  namespace: default
spec:
  selector:
    matchLabels:
      app: iching-broker
  template:
    metadata:
      labels:
        app: iching-broker
    spec:
      containers:
      - image: forgejo.edf-bootstrap.cx.fg1.ffm.osc.live/devfw-cicd/iching-broker:main
        name: iching-broker
        livenessProbe:
          httpGet:
            path: /healthz
            port: 8080
          initialDelaySeconds: 40
          periodSeconds: 25
          timeoutSeconds: 15
          failureThreshold: 3
        readinessProbe:
          httpGet:
            path: /ready
            port: 8080
          initialDelaySeconds: 30
          periodSeconds: 20
          timeoutSeconds: 13
          successThreshold: 2        
